# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.uno
# Libre Office Version: 7.4
from __future__ import annotations
import uno


class TypeClass(uno.Enum):
    """
    Enum


    See Also:
        `API TypeClass <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1uno.html#a00683ed3ec24b47c36ead10a20d6f328>`_
    """
    typeName: str = 'com.sun.star.uno.TypeClass'

    ANY: PyiTypeClass = ...
    """
    reflecting the any type; anys can carry any UNO value except of any values
    """
    ARRAY: PyiTypeClass = ...
    """
    Deprecated, UNOIDL does not have an array concept.
    """
    BOOLEAN: PyiTypeClass = ...
    """
    reflecting the boolean type; true and false
    """
    BYTE: PyiTypeClass = ...
    """
    reflecting the 8-bit ordinal type
    """
    CHAR: PyiTypeClass = ...
    """
    reflecting the 16-bit unicode character type
    """
    CONSTANT: PyiTypeClass = ...
    """
    reflecting constants
    """
    CONSTANTS: PyiTypeClass = ...
    """
    reflecting constants groups
    """
    DOUBLE: PyiTypeClass = ...
    """
    reflecting the 64-bit floating point type
    """
    ENUM: PyiTypeClass = ...
    """
    reflecting enum types
    """
    EXCEPTION: PyiTypeClass = ...
    """
    reflecting exception types
    """
    FLOAT: PyiTypeClass = ...
    """
    reflecting the 32-bit floating point type
    """
    HYPER: PyiTypeClass = ...
    """
    reflecting the signed 64-bit ordinal type
    """
    INTERFACE: PyiTypeClass = ...
    """
    reflecting interface types
    """
    INTERFACE_ATTRIBUTE: PyiTypeClass = ...
    """
    reflecting interface attributes
    """
    INTERFACE_METHOD: PyiTypeClass = ...
    """
    reflecting interface methods
    """
    LONG: PyiTypeClass = ...
    """
    reflecting the signed 32-bit ordinal type
    """
    MODULE: PyiTypeClass = ...
    """
    reflecting modules
    """
    PROPERTY: PyiTypeClass = ...
    """
    reflecting properties
    """
    SEQUENCE: PyiTypeClass = ...
    """
    reflecting sequence types
    """
    SERVICE: PyiTypeClass = ...
    """
    reflecting services
    """
    SHORT: PyiTypeClass = ...
    """
    reflecting the signed 16-bit ordinal type
    """
    SINGLETON: PyiTypeClass = ...
    """
    reflecting singletons
    """
    STRING: PyiTypeClass = ...
    """
    reflecting the string type; strings of unicode characters
    """
    STRUCT: PyiTypeClass = ...
    """
    reflecting compound types
    """
    TYPE: PyiTypeClass = ...
    """
    reflecting the meta type
    """
    TYPEDEF: PyiTypeClass = ...
    """
    reflecting typedefed types referencing other types
    """
    UNION: PyiTypeClass = ...
    """
    Deprecated, UNOIDL does not have a union concept.
    """
    UNKNOWN: PyiTypeClass = ...
    """
    reflecting the unreflectable type
    """
    UNSIGNED_HYPER: PyiTypeClass = ...
    """
    reflecting the unsigned 64-bit ordinal type
    """
    UNSIGNED_LONG: PyiTypeClass = ...
    """
    reflecting the unsigned 32-bit type
    """
    UNSIGNED_SHORT: PyiTypeClass = ...
    """
    reflecting the unsigned 16-bit ordinal type
    """
    VOID: PyiTypeClass = ...
    """
    reflecting the void type; denotes no type
    """

