# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.ucb
# Libre Office Version: 7.4
from __future__ import annotations
import uno
from com.sun.star._pyi.ucb.io_error_code import IOErrorCode as PyiIOErrorCode
"""
Enum


See Also:
    `API IOErrorCode <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1ucb.html#ab0378c2985abaca86838ed9936c3a2d5>`_
"""
typeName: str = 'com.sun.star.ucb.IOErrorCode'

ABORT: PyiIOErrorCode = ...
"""
An operation was aborted.
"""
ACCESS_DENIED: PyiIOErrorCode = ...
"""
An object cannot be accessed due to insufficient user rights.
"""
ALREADY_EXISTING: PyiIOErrorCode = ...
"""
An object already exists.
"""
BAD_CRC: PyiIOErrorCode = ...
"""
A bad checksum.
"""
CANT_CREATE: PyiIOErrorCode = ...
"""
An object could not be created.
"""
CANT_READ: PyiIOErrorCode = ...
"""
Data could not be read from a file.
"""
CANT_SEEK: PyiIOErrorCode = ...
"""
A seek operation could not be run.
"""
CANT_TELL: PyiIOErrorCode = ...
"""
A tell operation could not be run.
"""
CANT_WRITE: PyiIOErrorCode = ...
"""
Data could not be written to a file.
"""
CURRENT_DIRECTORY: PyiIOErrorCode = ...
"""
A function is not possible because the path contains the current directory.
"""
DEVICE_NOT_READY: PyiIOErrorCode = ...
"""
A device (drive) not ready.
"""
DIFFERENT_DEVICES: PyiIOErrorCode = ...
"""
A function is not possible because the devices (drives) are not identical.
"""
GENERAL: PyiIOErrorCode = ...
"""
A general input/output error.
"""
INVALID_ACCESS: PyiIOErrorCode = ...
"""
An invalid attempt was made to access an object.
"""
INVALID_CHARACTER: PyiIOErrorCode = ...
"""
A file name contains invalid characters.
"""
INVALID_DEVICE: PyiIOErrorCode = ...
"""
A specified device is invalid.
"""
INVALID_LENGTH: PyiIOErrorCode = ...
"""
Invalid data length.
"""
INVALID_PARAMETER: PyiIOErrorCode = ...
"""
An operation was started with an invalid parameter.
"""
IS_WILDCARD: PyiIOErrorCode = ...
"""
An operation cannot be run on file names containing wildcards.
"""
LOCKING_VIOLATION: PyiIOErrorCode = ...
"""
A locking problem.
"""
MISPLACED_CHARACTER: PyiIOErrorCode = ...
"""
An invalid file name.
"""
NAME_TOO_LONG: PyiIOErrorCode = ...
"""
A file name is too long.
"""
NOT_EXISTING: PyiIOErrorCode = ...
"""
A nonexistent object.
"""
NOT_EXISTING_PATH: PyiIOErrorCode = ...
"""
The path to a file does not exist.
"""
NOT_SUPPORTED: PyiIOErrorCode = ...
"""
An action is not supported.
"""
NO_DIRECTORY: PyiIOErrorCode = ...
"""
An object is not a directory.
"""
NO_FILE: PyiIOErrorCode = ...
"""
An object is not a file.
"""
OUT_OF_DISK_SPACE: PyiIOErrorCode = ...
"""
No more space on a device.
"""
OUT_OF_FILE_HANDLES: PyiIOErrorCode = ...
"""
No more file handles available.
"""
OUT_OF_MEMORY: PyiIOErrorCode = ...
"""
An operation could not be run due to insufficient memory.
"""
PENDING: PyiIOErrorCode = ...
"""
An operation is still pending.
"""
RECURSIVE: PyiIOErrorCode = ...
"""
An object cannot be copied into itself.
"""
UNKNOWN: PyiIOErrorCode = ...
"""
Unknown.

An unknown I/O error has occurred.
"""
WRITE_PROTECTED: PyiIOErrorCode = ...
"""
A function is not possible because the object is write protected.
"""
WRONG_FORMAT: PyiIOErrorCode = ...
"""
An incorrect file format.
"""
WRONG_VERSION: PyiIOErrorCode = ...
"""
An incorrect file version.
"""

